jedmao jedmao

promise-ts

1 11 0

TypeScript promises for Node.js.

Dependencies

Package Locked Requirement Latest Status Changelog
Npms typescript-require ~0.2.6 0.2.9-1

typescript-require

Node.JS require extension to load TypeScript modules from JS

This dependency is up-to-date. Congrats and keep going!

Package Locked Requirement Latest Status Changelog
Npms bower ~1.2.8 1.5.2

bower

The browser package manager

This dependency is not matching latest version. Please consider upgrading.

Npms chai ~1.8.1 3.2.0

chai

BDD/TDD assertion library for node.js and the browser. Test framework agnostic.

This dependency is not matching latest version. Please consider upgrading.

Npms gulp ~3.5.0 3.9.0

gulp

The streaming build system

This dependency is not matching latest version. Please consider upgrading.

Npms gulp-clean ~0.2.4 0.3.1

gulp-clean

A gulp plugin for removing files and folders.

This dependency is not matching latest version. Please consider upgrading.

Npms gulp-mocha ~0.4.1 2.1.3

gulp-mocha

Run Mocha tests

This dependency is not matching latest version. Please consider upgrading.

Npms gulp-watch ~0.5.0 4.3.5

gulp-watch

Watch, that actually is an endless stream

This dependency is not matching latest version. Please consider upgrading.

Npms mocha ~1.16.2 2.2.5

mocha

simple, flexible, fun test framework

This dependency is not matching latest version. Please consider upgrading.

Npms run-sequence ~0.3.2 1.1.2

run-sequence

Run a series of dependent gulp tasks in order

This dependency is not matching latest version. Please consider upgrading.

Npms sinon ~1.7.3 1.16.1

sinon

JavaScript test spies, stubs and mocks.

This dependency is not matching latest version. Please consider upgrading.

Npms sinon-chai ~2.4.0 2.8.0

sinon-chai

Extends Chai with assertions for the Sinon.JS mocking framework.

This dependency is not matching latest version. Please consider upgrading.

Npms ts-compiler ~0.1.0 2.0.0

ts-compiler

TypeScript compilation via the typescript-api

This dependency is not matching latest version. Please consider upgrading.